lsbinitscripts: avoid exit 1 in functions script

If 'rc.debug' is not in kernel parameters, the functions script would
exit 1 which causes other init scripts that source it exit 1. This is
not what we want.

[YOCTO #7948]

(From OE-Core rev: 080a7fbd876274410107732f175037fcea4d53ca)

Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Chen Qi 2015-07-03 14:32:58 +08:00 committed by Richard Purdie
parent eb29cea729
commit 86fc0b2e3a
2 changed files with 24 additions and 0 deletions

View File

@ -0,0 +1,23 @@
Upstream-Status: Pending
Subject: functions: avoid exit 1 which causes init scripts to fail
Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
---
rc.d/init.d/functions | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 6850046..11223f7 100644
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -597,5 +597,5 @@ if [ "$_use_systemctl" = "1" ]; then
fi
fi
-strstr "$(cat /proc/cmdline)" "rc.debug" && set -x
+strstr "$(cat /proc/cmdline)" "rc.debug" && set -x || true
--
2.1.0

View File

@ -8,6 +8,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=ebf4e8b49780ab187d51bd26aaa022c6"
S="${WORKDIR}/initscripts-${PV}"
SRC_URI = "http://pkgs.fedoraproject.org/repo/pkgs/initscripts/initscripts-9.63.tar.bz2/1ae0f15e54a904ac30185548d43daa1c/initscripts-9.63.tar.bz2 \
file://functions.patch \
file://0001-functions-avoid-exit-1-which-causes-init-scripts-to-.patch \
"
SRC_URI[md5sum] = "1ae0f15e54a904ac30185548d43daa1c"